Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Attributes | List of all members
faiss::gpu::GpuClonerOptions Struct Reference

set some options on how to copy to GPU More...

`#include <GpuAutoTune.h>`

Inheritance diagram for faiss::gpu::GpuClonerOptions:

## Public Attributes
IndicesOptions | indicesOptions
| how should indices be stored on GpuIndexIVFPQ?
bool | useFloat16CoarseQuantizer
| is the coarse quantizer in float16?
bool | useFloat16
bool | usePrecomputed
| use precomputed tables?
long | reserveVecs
| reserve vectors in the invfiles?
int | verbose

## Detailed Description

set some options on how to copy to GPU

Definition at line 31 of file GpuAutoTune.h.

## Member Data Documentation

bool faiss::gpu::GpuClonerOptions::useFloat16

for GpuIndexIVFFlat, is storage in float16? for GpuIndexIVFPQ, are intermediate calculations in float16?

Definition at line 38 of file GpuAutoTune.h.

The documentation for this struct was generated from the following files:

- GpuAutoTune.h
- GpuAutoTune.cpp